Description

The GDAL tool "gdaldem color-relief" https://www.gdal.org/gdaldem.html#gdaldem_color_relief allows to pass the "-alpha" argument so

that the output raster also contains the alpha band. The GDAL tools dialog show a input text box for additional creation options however it

is not passed to the actual command, not matter what is inserted here.

History

#1 - 2019-01-14 10:33 AM - Giovanni Manghi

- Status changed from Open to Feedback

There is no "gdal tools" in QGIS3, are you referring to the tool in the Processing toolbox?

#2 - 2019-01-14 10:35 AM - Matthias Treitler

Giovanni Manghi wrote:

There is no "gdal tools" in QGIS3, are you referring to the tool in the Processing toolbox?

sorry for the confusion! Yes the "Color Relief" tool in the processing toolbox!

#3 - 2019-01-14 11:48 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Assignee set to Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#4 - 2019-01-21 07:11 PM - Alexander Bruy

- Status changed from Open to Feedback

Additional creation options used to specify dataset creation options like compression method, etc and not additional command-line parameters like

'-alpha'.

#5 - 2019-03-09 11:58 AM - Giovanni Manghi

- Status changed from Feedback to In Progress

- Pull Request or Patch supplied changed from No to Yes

- Affected QGIS version changed from 3.4.3 to 3.7(master)
https://github.com/qgis/QGIS/pull/9442

#6 - 2019-05-23 06:57 AM - Alexander Bruy

- Assignee deleted (Giovanni Manghi)

- Tracker changed from Bug report to Feature request

- Subject changed from GDAL-Raster Analysis-Color Relief Algorithm dialog ignores "Additional creation options [optional]" to Add a way to pass 

additional parameters to GDAL commands

- Status changed from In Progress to Open

IMHO this should be a feature request, as it asks to add another parameter and hence change algorithm(s) API.
